Subject: RE: [Megaco] MGC Failure

From: [email-masked]
Date: Thu, 16 Feb 2006 11:58:44 +0100

Leandro,

according to your question, it looks like that you should start with
reading § 11.6 "MGC-MG Control Association Monitoring" in H.248.1 V3.

Your subsequent question, guess means "failure of primary MGC", is firstly
addressed in § 11.5.

"MGC failure" means basically that the MGC is going from IS to OoS state
("please note that these are no "H.248 states", because there is no
MGC-level "Root" Termination"), but not necessarily an unavailable H.248
Control Association.

The detection of such a state transitioing event is always related to time
conditions, e.g., in order to filter out very short IS->OoS->IS transitions
of the primary MGC ("which may not trigger any ServiceChange procedures"),
from short IS->OoS->IS transitions of the primary MGC ("with correspondent
SC") or from IS->OoS transitions (with correspondent failover/handover to
secondary MGC procedures).

It's rather difficult to answer your specific questions without the
information about your dedicated time requirements (also because you relate
it to the ito time of H.248.14).

Albrecht

                      "Kevin Boyle"                                                                                                
                      <[email-masked]         To:      "B Venkat S.R Swamy" <[email-masked]>, "Leandro Nobre"    
                      om>                      <[email-masked]>                                                                 
                      Sent by:                 cc:      [email-masked]                                                            
                      megaco-bounces@i         Subject: RE: [Megaco] MGC Failure                                                   
                      etf.org                                                                                                      

                      16.02.2006 07:57                                                                                             

< Attachment graycol.gif removed >
< Attachment ecblank.gif removed >

While correct, this doesn't really answer the question.  The question of
whether H.248.14 can be used to detect MGC failure is answered
definitively in the procedures section of H.248.14, where it indicates
that lack of answer from the MGC can be assumed to be a failure.

Kevin

________________________________

 From: [email-masked] [mailto:[email-masked]]
On Behalf Of B Venkat S.R Swamy
 Sent: Thursday, February 16, 2006 1:44 AM
 To: Leandro Nobre
 Cc: [email-masked]
 Subject: Re: [Megaco] MGC Failure

 Hi

 I would recommend you to refer the H248.1 V3, Annex F for the
control association procedures.
 Protocol has clearly identified the MGC failure procedures,
wherein MG sends ServiceChange with method as either Disconnected
 or Failover and reason as "MGC Impending Failure".

 regards
 B Venkat S.R Swamy
 Senior Technical Leader
 Flextronics Software Systems
 Phone: +91-124- 4176213
 Fax: +91-124-4300247
 web: www.flextronicssoftware.com
  Leandro Nobre <[email-masked]>

    Leandro Nobre <[email-masked]>
    Sent by: [email-masked]

    02/15/2006 11:48 PM

To

[email-masked]

cc

Subject

[Megaco] MGC Failure

 I would like some clarification on the MGC failure procedure.
 According to usual understanding of RFC3015 and its annex 14,
there are two ways to detect failure in the link:

   1) MGC sending auditvalue to MG
   2) MG sending notify it/ito in a predefined
interval to check link status

 My point of view is that this "notify" should also be used to
detect failure in the master MGC, when the notify reply is not received
in MG side.
 I have heard opinions that notify it/ito should be used only for
inactivity testing, not to detect MGC failure.
 Which one is correct?

 Thanks for the support!

 Leandro Nobre_______________________________________________
 Megaco mailing list
 [email-masked]
 https://www1.ietf.org/mailman/listinfo/megaco

 *********************** FSS-Restricted ***********************
 "DISCLAIMER: This message is proprietary to Flextronics Software

 Systems Limited (FSS) and is intended solely for the use of the
 individual to whom it is addressed. It may contain privileged or

 confidential information and should not be circulated or used
for
 any purpose other than for what it is intended. If you have
received
 this message in error, please notify the originator immediately.

 If you are not the intended recipient, you are notified that you
are
 strictly prohibited from using, copying, altering, or disclosing
 the contents of this message. FSS accepts no responsibility for
 loss or damage arising from the use of the information
transmitted
 by this email including damage from virus."

_______________________________________________
Megaco mailing list
[email-masked]
 https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco